Skip to main content
POST
Query MCP tool usage

Authorizations

Authorization
string
header
required

Voiceflow bearer token

Path Parameters

projectID
string
required

The ID of the project to operate on.

Body

application/json
endDate
string
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
startDate
string
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
timezone
string
excludeID
string[]
limit
number
default:10
Required range: x <= 20
orderDirection
enum<string>
Available options:
ASC,
DESC
orderBy
enum<string>
Available options:
count,
averageLatencyMS
version
enum<string>

Filters results to the draft or published version of the environment. Defaults to both.

Available options:
draft,
published
environmentAlias
string

The ID or alias of the environment to filter results by. Defaults to all environments.

Response

200 - application/json

Returns usage for each MCP tool, keyed by the tool's name rather than an ID, with total and successful counts and the average latency in milliseconds.

rows
object[]
required